Bug 814274 - dependency not automatically installed when you yum install docky
dependency not automatically installed when you yum install docky
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: docky (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Zapletal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 10:09 EDT by Rudolf Kastl
Modified: 2013-08-01 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:45:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2012-04-19 10:09:18 EDT
Description of problem:
after yum install docky and starting it some operations seem to miss a dependency:

[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: An exception was thrown by the type initializer for Docky.ConfigurationWindow ---> System.DllNotFoundException: libgnome-desktop-2.so.17

Version-Release number of selected component (if applicable):
docky-2.0.12-1 on x86_64
Comment 1 Lukas Zapletal 2012-04-19 11:36:51 EDT
Patch done, once I will update the package it will be pushed.
Comment 2 Jens Petersen 2012-10-31 06:11:44 EDT
Also affects F17 which has libgnome-desktop-3.so:

Unhandled Exception: System.TypeInitializationException: An exception was thrown by the type initializer for Docky.ConfigurationWindow ---> System.DllNotFoundException: libgnome-desktop-2.so.17
  at (wrapper managed-to-native) Gnome.DesktopItem:gnome_desktop_item_new_from_file (intptr,int,intptr&)
  at Gnome.DesktopItem.NewFromFile (System.String file, DesktopItemLoadFlags flags) [0x00000] in <filename unknown>:0 
  at Docky.ConfigurationWindow.get_AutoStart () [0x00000] in <filename unknown>:0 
  at Docky.ConfigurationWindow..ctor () [0x00000] in <filename unknown>:0 
  at Docky.ConfigurationWindow..cctor () [0x00000] in <filename unknown>:0 
  --- End of inner exception stack trace ---
  at Docky.Items.DockyItem.OnClicked (UInt32 button, ModifierType mod, Double xPercent, Double yPercent) [0x00000] in <filename unknown>:0 
  at Docky.Items.AbstractDockItem.Clicked (UInt32 button, ModifierType mod, Double xPercent, Double yPercent) [0x00000] in <filename unknown>:0 
[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: An exception was thrown by the type initializer for Docky.ConfigurationWindow ---> System.DllNotFoundException: libgnome-desktop-2.so.17
  at (wrapper managed-to-native) Gnome.DesktopItem:gnome_desktop_item_new_from_file (intptr,int,intptr&)
  at Gnome.DesktopItem.NewFromFile (System.String file, DesktopItemLoadFlags flags) [0x00000] in <filename unknown>:0 
  at Docky.ConfigurationWindow.get_AutoStart () [0x00000] in <filename unknown>:0 
  at Docky.ConfigurationWindow..ctor () [0x00000] in <filename unknown>:0 
  at Docky.ConfigurationWindow..cctor () [0x00000] in <filename unknown>:0 
  --- End of inner exception stack trace ---
  at Docky.Items.DockyItem.OnClicked (UInt32 button, ModifierType mod, Double xPercent, Double yPercent) [0x00000] in <filename unknown>:0 
  at Docky.Items.AbstractDockItem.Clicked (UInt32 button, ModifierType mod, Double xPercent, Double yPercent) [0x00000] in <filename unknown>:0
Comment 3 Fedora End Of Life 2013-07-04 02:14:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 13:46:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.